# $Revision: 1.7 $, $Date: 2010/12/06 20:49:31 $
Summary:	Implementation of the ETSI OSP VoIP Peering protocol
Summary(pl.UTF-8):	Implementacja protokołu ETSI OSP VoIP Peering
Name:		OSPToolkit
Version:	3.6.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/osp-toolkit/%{name}-%{version}.tar.gz
# Source0-md5:	9ce96429bd1e7644db6733cca22f63c6
Patch0:		sharedlib.patch
URL:		http://www.transnexus.com/OSP%20Toolkit/OSP%20Toolkit.htm
BuildRequires:	openssl-devel
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OSP Toolkit is a complete development kit for software developers
who want to implement the client side of the European
Telecommunication Standards Institute's (ETSI) OSP standard for secure
VoIP peering. The OSP Toolkit includes source code written in ANSI C,
test tools and extensive documentation on how to implement the OSP
peering protocol standard.

%description -l pl.UTF-8
OSP Toolkit to kompletny zestaw programistyczny dla programistów
implementujących kliencką stronę standardu ETSI (European
Telecommunication Standards Institute) OSP dla bezpiecznej komunikacji
VoIP. OSP Toolkit zawiera kod źródłowy w ANSI C, narzędzia testowe
oraz szczegółową dokumentację jak zaimplementować standard OSP
Peering.

%package devel
Summary:	Header files for OSP Toolkit library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki OSP Toolkit
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for OSP Toolkit library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki OSP Toolkit.

%package static
Summary:	Static OSP Toolkit library
Summary(pl.UTF-8):	Statyczna biblioteka OSP Toolkit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static OSP Toolkit library.

%description static -l pl.UTF-8
Statyczna biblioteka OSP Toolkit.

%prep
%setup -q -n TK-%(echo %{version} | tr . _)-20100107
%patch0 -p1
%{__sed} -i -e 's,\$(INSTALL_PATH)/lib,$(INSTALL_PATH)/%{_lib},' src/Makefile

%build
%{__make} -C src build \
	CC="%{__cc}" \
	LDFLAGS="%{rpmldflags}" \
	DFLAGS="%{rpmcflags} %{rpmcppflags}"

%{__make} -C enroll linux \
	CC="%{__cc}" \
	DFLAGS="%{rpmcflags} %{rpmcppflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_includedir},%{_libdir}}

%{__make} -C src install \
	INSTALL_PATH=$RPM_BUILD_ROOT%{_prefix}

chmod a+x $RPM_BUILD_ROOT%{_libdir}/lib*so*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_libdir}/libosptk.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libosptk.so.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libosptk.so
%{_includedir}/osp

%files static
%defattr(644,root,root,755)
%{_libdir}/libosptk.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: OSPToolkit.spec,v $
Revision 1.7  2010/12/06 20:49:31  arekm
- up to 3.6.1

Revision 1.6  2010/11/13 12:08:43  pawelz
- release 3

Revision 1.5  2010/04/12 19:28:30  arekm
- release 2

Revision 1.4  2010/01/01 22:50:29  glen
- up to 3.5.3; make shared lib

Revision 1.3  2007/09/19 12:59:23  kosmo
- updated to 3.4.1

Revision 1.2  2007/04/13 20:55:38  qboosh
- pl
- no ldconfig for static lib

Revision 1.1  2007/04/12 18:57:39  arekm
- new
